Subject: bug#35592: Use display-buffer-in-direction for completion-like windows

From: martin rudalics <[email-masked]>
Date: Tue, 21 May 2019 09:32:43 +0200

>> The former (it's a three liner).  But maybe some work remains wrt
 >> action arguments like 'window-min-height', 'window-height' and
 >> friends.  I doubt that you have already exhausted all possibilities.
 >
 > Why three-liner?  I see one-liners in your comments.

I meant the defun, the doc-string and the body.

 > I tried to
 > replace the whole display-buffer-below-selected with your one-liner
 > (display-buffer-in-direction buffer (cons '(direction . below) alist))
 > and also the whole display-buffer-at-bottom with your one-liner
 > (display-buffer-in-direction buffer (cons '(direction . bottom) alist))
 > and everything works fine, I see no problems.

'display-buffer-in-direction' doesn't yet process 'window-min-height'
(and 'window-min-width') entries correctly.  I still have to set up
semantics for these ...

martin